Subject: Re: bug#19052: 24.4; Undocumented behaviour change of ada-capitalize-word in 24.4

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 04:15:10 +0200

Alberto <[email-masked]> writes:

> Open a new ada file "test.adb"
> Change the setting ada-case-identifier to ada-capitalize-word
> Type a test identifier, e.g. test_bad_capitalisation
> The expected (and documented) result is Test_Bad_Capitalisation
> The actual result is Test_bad_capitalisation.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm not sure I understand the recipe here -- ada-capitalize-word isn't a
valid value for ada-case-identifier, as far as I can tell.

Could you provide a recipe to reproduce this problem, starting from
"emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no